this.name        = "behemoth"; 
this.author      = "Aegidian"; 
this.copyright   = "� 2008 the Oolite team."; 
this.description = "Addition script of the Behemoth carrier in Witchspace."; 
this.version     = "2.5.4"; 

this.behemoth = ["behemoth-jupiter", "behemoth-tianve", "behemoth-zadies", "behemoth-neptune", "behemoth-xexedi", "behemoth-vetitice", "behemoth-europa", "behemoth-teraed", "behemoth-lave", "behemoth-ceinerxe", "behemoth-teonan", "behemoth-usoron", "behemoth-diso", "behemoth-leesti", "behemoth-zaonce", "behemoth-callisto", "behemoth-alcyoneus", "behemoth-porphyrion", "behemoth-enceladus", "behemoth-pallas", "behemoth-polybotes", "behemoth-hippolytus", "behemoth-ephialtes", "behemoth-gration", "behemoth-eurytos", "behemoth-agrios", "behemoth-thoon", "behemoth-mimas", "behemoth-alpos", "behemoth-antaios", "behemoth-antiphates", "behemoth-arges", "behemoth-argos-panoptes", "behemoth-briareos", "behemoth-brontes", "behemoth-damasen", "behemoth-elatreus", "behemoth-geryones", "behemoth-gyes", "behemoth-halimedes", "behemoth-kakos", "behemoth-kharbydis", "behemoth-kottos", "behemoth-mylinos", "behemoth-oiolyka", "behemoth-oreios", "behemoth-orion", "behemoth-otos", "behemoth-steropes", "behemoth-trakhios", "behemoth-typhoeus", "behemoth-giles-quest", "behemoth-ramesses-ii", "behemoth-akdamut", "behemoth-tarasque", "behemoth-oceanus", "behemoth-titanic", "behemoth-olympic", "behemoth-prometheus", "behemoth-phoebe", "behemoth-cronus", "behemoth-coeus", "behemoth-crius", "behemoth-hyperion", "behemoth-iapetus", "behemoth-thea", "behemoth-rhea", "behemoth-themis", "behemoth-mnemosyne", "behemoth-epimetheus", "behemoth-menoetius", "behemoth-hecules", "behemoth-zeus", "behemoth-hera", "behemoth-poseidon", "behemoth-hestia", "behemoth-dionysus", "behemoth-demeter", "behemoth-aphrodite", "behemoth-athena", "behemoth-apollo", "behemoth-artemis", "behemoth-ares", "behemoth-hephaestus", "behemoth-hermes", "behemoth-aegidian", "behemoth-excelsior", "behemoth-galactic", "behemoth-liberator", "behemoth-utlimate", "behemoth-farseer", "behemoth-atlantis", "behemoth-ymir", "behemoth-argus", "behemoth-atlas", "behemoth-grid", "behemoth-surt", "behemoth-talos", "behemoth-tethys", "behemoth-bolverk", "behemoth-gog", "behemoth-magog", "behemoth-titan", "behemoth-loki", "behemoth-goliath", "behemoth-Colossus", "behemoth-nimrod", "behemoth-geryon"];
this.behemothList = this.behemoth.concat();

this.shipExitedWitchspace = function()
{
    if(system.isInterstellarSpace)
    {
        var number = Math.floor(Math.random()*Math.random()*4.5); //(0 to 3 ships with distribution towards 0)
        if(this.behemothList.length < number) this.behemothList = this.behemoth.concat(); // reset the list
        for(var i=0; i<number; i++) system.legacy_addShips(this.uniqueBehemoth(), 1);
		 // this method has a larger deviation in ship numbers than original code and also selects unique names over several jumps.
    }
    else if(Math.random() < 0.015 * System.government) // don't add police ships in anarchies.
    {
        System.legacy_addShipsAt(this.uniqueBehemoth(), 1, "wpu", [0, 0, Math.random()*0.6+0.2])
    }
} 

this.uniqueBehemoth = function()
{
    if(this.behemothList.length === 0) this.behemothList = this.behemoth.concat(); // reset the list
    return this.behemothList.splice(Math.floor(Math.random()*this.behemothList.length), 1);
    // Make sure that every time a ship with new name is pulled of the list.
}

/*
You can check from an other JS script if behemoth.oxp is installed with: if(worldScripts.behemoth)
Or you can get any of the behemoth names with: worldScripts.behemoth.behemoth[i]
Or an unique behemoth role with: worldScripts.behemoth.uniqueBehemoth()
this.uniqueBehemoth() is added in version 2.5. and should stay in in future.
*/